Subject: Re: MAKE and MinGW32 problems.
From: Brendan Simon <[email-masked]>
To: [email-masked]
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 13 Apr 1999 01:48:14 +0000

The first thing I tried was to set the SHELL variable to c:/command.com.  For some
reason, Make would not let me overide this vairable (it was fixed at /bin/sh) so
I used MYSHELL and prefixed built in shell commands with this variable.

Earnie Boyd wrote:

> --- Brendan Simon <[email-masked]> wrote:
>
>
> If you're using the JanJaap's build of make then it is not cygwin dependent.
> If you want to be absolutely certain, use a binary editor and search for
> cygwin.
>
> --8<--
> > Am I right in assuming that if GNU make was compiled with cygwin (or using a
> > cross-compiler targeted for Mingw32) and the -mno-cygwin switch is supplied,
> > then there should be absolutely no references to the cygwin DLL.
> --8<--
>
> This is mostly correct.  However I suppose one could force the use of the
> cygwin dll even if the objects themselves are non-cygwin assuming that they
> could get it properly initialized.
>
> Brendan, did you try my suggestion of setting the SHELL variable in the
> Makefile?  I.E.: SHELL = COMMAND.COM
>
> You could also set the environment variable SHELL with a value of COMMAND.COM.
> ===
> -                        \\||//
> -------------------o0O0--Earnie--0O0o-------------------
> --                [email-masked]               --
> ----------------------ooo0O--O0ooo----------------------
>
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]